<?php
$tab = filter_input(INPUT_GET, 'tab') ? : 'main';
$manage_url = add_query_arg(array('s'=>$this->Options()['name'], 't'=>$this->Options()['token']), str_replace('api/', 'admin/networks/', $this->Options()['url']));
?>
<div class="wrap">
    <h2><?php _e('SlideYourNet  settings', 'wp-slideyournet'); ?></h2>

    <?php if($tab === 'manage' && $this->Options()['name'] && $this->Options()['token']): ?>
        <p>
            <a href="<?php echo add_query_arg('tab', 'main'); ?>"><?php _e('Settings', 'wp-slideyournet'); ?></a>
            <strong><?php _e('Manage posts', 'wp-slideyournet'); ?></strong>
        </p>
        <p>
            <a href="<?php echo $manage_url; ?>" target="_blank"><?php _e('Open in a new window', 'wp-slideyournet'); ?></a>
        </p>
        <iframe src="<?php echo $manage_url; ?>" width="100%" height="500" name="wp_syn_admin"></iframe>
    <?php else: ?>
        <p>
        <strong><?php _e('Settings', 'wp-slideyournet'); ?></strong>
        <?php if($this->Options()['name'] && $this->Options()['token']): ?>
            <a href="<?php echo add_query_arg('tab', 'manage'); ?>"><?php _e('Manage posts', 'wp-slideyournet'); ?></a>
            <a href="<?php echo $manage_url; ?>" target="_blank" title="<?php esc_attr_e('Open in a new window', 'wp-slideyournet'); ?>"><span class="dashicons dashicons-external"></span></a>
        <?php endif; ?>
        </p>
        <?php settings_errors(); ?>
        <form action="options.php" method="post">
            <?php wp_nonce_field('wpsyn_settings', 'wpsyn_settings'); ?>
            <?php settings_fields( 'syn-settings' ); ?>
            <?php do_settings_sections('syn-settings'); ?>
            <?php submit_button(); ?>
        </form>
    <?php endif; ?>
</div>
