<?php
if(!isset($instance)){
    return;
}
// Load StyleSheet
// if($instance['stylesheet']!='none'){
//     if($instance['stylesheet']!='none'){
//       if($instance['stylesheet']=='theme'){
//           $stylesheet  = get_stylesheet_directory_uri().'/wpsyn.css';
//           wp_enqueue_style('wp-syn-'.$instance['stylesheet'], $stylesheet);
//       }
//     }
//
// }
$div_class = [];
if(isset($instance['display_avatar']) && $instance['display_avatar']){
  $div_class[] = 'display_avatar';
}
if(isset($instance['display_username']) && $instance['display_username']){
  $div_class[] = 'display_username';
}
if(isset($instance['display_date']) && $instance['display_date']){
  $div_class[] = 'display_date';
}
if(isset($instance['display_media']) && $instance['display_media']){
  $div_class[] = 'display_media';
}
?>
<div class="wp-syn-innerwrapper wp-syn-css-<?php echo $instance['stylesheet']; ?> <?= implode(' ',$div_class)?>">
    <?php
    do_action('wpsyn_before_list_title', $instance);
    if(!empty($instance['title'])){
            echo (isset($args['before_title'])) ? $args['before_title'] : '<h3>';
            echo $instance['title'];
            echo (isset($args['after_title'])) ? $args['after_title'] : '</h3>';
    }
    do_action('wpsyn_after_list_title', $instance);
    if(isset($instance['display_date']) && $instance['display_date']){
        $date_format = get_option('date_format').' '.get_option('time_format');
        $now = current_time('timestamp');
        do_action('wpsyn_after_list_date', $instance);
    }
    do_action('wpsyn_before_list', $instance);
    ?>
    <ul class="wp-syn-list">
        <?php foreach($posts as $post): ?>
            <?php include __DIR__.'/post.php'; ?>
        <?php endforeach; ?>
    </ul>
    <?php do_action('wpsyn_after_list', $instance); ?>
</div><!-- /.wp-syn-innerwrapper -->
